//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>tLNode complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tLNode"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tUnNaming"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Labels" type="{http://www.iec.ch/61850/2003/SCL}tLabels" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attGroup ref="{http://www.iec.ch/61850/2003/SCL}agUuid"/&gt;
 *       &lt;attribute name="iedName" type="{http://www.iec.ch/61850/2003/SCL}tIEDNameOrNone" default="None" /&gt;
 *       &lt;attribute name="ldInst" type="{http://www.iec.ch/61850/2003/SCL}tLDInstOrEmpty" default="" /&gt;
 *       &lt;attribute name="prefix" type="{http://www.iec.ch/61850/2003/SCL}tPrefix" default="" /&gt;
 *       &lt;attribute name="lnClass" use="required" type="{http://www.iec.ch/61850/2003/SCL}tLNClassEnum" /&gt;
 *       &lt;attribute name="lnInst" type="{http://www.iec.ch/61850/2003/SCL}tLNInstOrEmpty" default="" /&gt;
 *       &lt;attribute name="lnType" type="{http://www.iec.ch/61850/2003/SCL}tName" /&gt;
 *       &lt;attribute name="lnUuid" type="{http://www.iec.ch/61850/2003/SCL}tUUIDAttribute" /&gt;
 *       &lt;anyAttribute processContents='lax' namespace='##other'/&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tLNode", propOrder = {
    "labels"
})
public class TLNode
    extends TUnNaming
{

    @XmlElement(name = "Labels")
    protected TLabels labels;
    @XmlAttribute(name = "iedName")
    protected String iedName;
    @XmlAttribute(name = "ldInst")
    protected String ldInst;
    @XmlAttribute(name = "prefix")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String prefix;
    @XmlAttribute(name = "lnClass", required = true)
    protected List<String> lnClass;
    @XmlAttribute(name = "lnInst")
    protected String lnInst;
    @XmlAttribute(name = "lnType")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String lnType;
    @XmlAttribute(name = "lnUuid")
    protected String lnUuid;
    @XmlAttribute(name = "uuid")
    protected String uuid;
    @XmlAttribute(name = "templateUuid")
    protected String templateUuid;

    /**
     * 获取labels属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TLabels }
     *     
     */
    public TLabels getLabels() {
        return labels;
    }

    /**
     * 设置labels属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TLabels }
     *     
     */
    public void setLabels(TLabels value) {
        this.labels = value;
    }

    /**
     * 获取iedName属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIedName() {
        if (iedName == null) {
            return "None";
        } else {
            return iedName;
        }
    }

    /**
     * 设置iedName属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIedName(String value) {
        this.iedName = value;
    }

    /**
     * 获取ldInst属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLdInst() {
        if (ldInst == null) {
            return "";
        } else {
            return ldInst;
        }
    }

    /**
     * 设置ldInst属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLdInst(String value) {
        this.ldInst = value;
    }

    /**
     * 获取prefix属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrefix() {
        if (prefix == null) {
            return "";
        } else {
            return prefix;
        }
    }

    /**
     * 设置prefix属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrefix(String value) {
        this.prefix = value;
    }

    /**
     * Gets the value of the lnClass property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the lnClass property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLnClass().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getLnClass() {
        if (lnClass == null) {
            lnClass = new ArrayList<String>();
        }
        return this.lnClass;
    }

    /**
     * 获取lnInst属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLnInst() {
        if (lnInst == null) {
            return "";
        } else {
            return lnInst;
        }
    }

    /**
     * 设置lnInst属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLnInst(String value) {
        this.lnInst = value;
    }

    /**
     * 获取lnType属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLnType() {
        return lnType;
    }

    /**
     * 设置lnType属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLnType(String value) {
        this.lnType = value;
    }

    /**
     * 获取lnUuid属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLnUuid() {
        return lnUuid;
    }

    /**
     * 设置lnUuid属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLnUuid(String value) {
        this.lnUuid = value;
    }

    /**
     * 获取uuid属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * 设置uuid属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUuid(String value) {
        this.uuid = value;
    }

    /**
     * 获取templateUuid属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTemplateUuid() {
        return templateUuid;
    }

    /**
     * 设置templateUuid属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTemplateUuid(String value) {
        this.templateUuid = value;
    }

}
